# Spiri SDK - Simulated robot

The Spiri SDK consists of a number of components. What you're looking at right now 
is the drone simulation component, which is the core of the SDK.

Spiri Robots run a number of docker containers to achieve their core functionality,
we try to keep these essential docker containers in one docker compose file. The 
docker compose file you'll find in this repository starts an ardupilot-based UAV simulation
as well as a ROS master, and mavproxy to tie it together.

To get started you can simply clone this repository and run `docker compose --profile uav-sim up`.

Once the simulated UAV is running you can connect to it with QGroundControl or other
MavLink compatible software. We expose the UAVs Mavlink conenction on tcp port 5760.

There is experimental GUI support you can enable by running `docker compose --profile uav-sim --profile ui up`.

## Creating a new project

We provide project templates you can use for development that integrate seamlessly into
our simulated robots.

These templates are intended to be used with VSCode.

To get started with our project templates install the [copier](https://copier.readthedocs.io/en/stable/) project
templating utility.

 * [template-service-ros1-catkin](https://git.spirirobotics.com/Spiri/template-service-ros1-catkin)

This template uses the last stable release of ROS1 (ros noetic) and supports python and c++ programming 
languages.

ROS1 is considered end of life. It's recomended to use a ROS2 template instead

 * ROS2 template

We're working on it...
